<ng-template appPlaceHolder></ng-template>
<div class="row">
  <div class="col-xs-12 col-md-6 col-md-offset-3">
<!--    <div class="alert alert-danger" *ngIf="error">-->
<!--      <p>{{ error }}</p>-->
<!--    </div>-->

<!--    this is a dynamic component which is created at runtime-->
<!--    <app-alert [message]="error" *ngIf="error" (close)="onHandleError()"></app-alert>-->

    <div *ngIf="isLoading" style="text-align: center;">
      <app-loading-spinner></app-loading-spinner>
    </div>
    <form #authForm="ngForm" (ngSubmit)="onSubmit(authForm)" *ngIf="!isLoading">
      <div class="form-group">
        <label for="email">E-mail</label>
        <input
          type="email"
          id="email"
          class="form-control"
          ngModel
          name="email"
          required
          email>
      </div>
      <div class="form-group">
        <label for="password">Password</label>
        <input
          type="password"
          id="password"
          class="form-control"
          ngModel
          name="password"
          required
          minlength="6">
      </div>
      <div>
        <button type="submit" class="btn btn-primary" [disabled]="!authForm.valid">
          {{ isLoginMode ? 'Login' : 'Sign Up'}}
        </button> |
        <button type="button" class="btn btn-primary" (click)="onSwitchMode()">
          Switch to {{ isLoginMode ? 'Sign Up' : 'Login' }}
        </button>
      </div>
    </form>
  </div>
</div>
